{ lib, pkgs, ... }:

let
  domain = "tube.giugl.io";
  network = import ./network.nix;
in
{
  services = {
    invidious = {
      enable = true;
      port = 9092;
      package = pkgs.unstable.invidious;
    };

    nginx.virtualHosts.${domain} = {
      forceSSL = true;
      enableACME = true;
      locations."/" = { proxyPass = "http://127.0.0.1:9092"; };
    };
  };

  networking.extraHosts = ''
    ${network.architect-lan} ${domain}
    ${network.architect-wg} ${domain}
  '';
}
