{ lib, pkgs, ... }:

let
  domain = "tweet.giugl.io";
  network = import ./network.nix;
in {
  services = {
    nitter = {
      enable = true;
      redisCreateLocally = false;
      server = {
        port = 9093;
        hostname = domain;
        staticDir = "${pkgs.unstable.nitter}/share/nitter/public";
      };
      preferences = {
        replaceYouTube = "tube.giugl.io";
        replaceTwitter = "tweet.giugl.io";
      };
    };

    nginx.virtualHosts.${domain} = {
      forceSSL = true;
      enableACME = true;
      locations."/" = { proxyPass = "http://127.0.0.1:9093"; };
    };
  };

  networking.extraHosts = ''
    ${network.architect-lan} ${domain}
    ${network.architect-wg} ${domain}
  '';
}
